RSM - Feature #105

[HR] Generate Kuota Cuti Otomatis by Join Date
12/29/2020 11:38 AM - Kezia Pawitra Yulianti

Status: QA Test Start date: 01/07/2021
Priority: Urgent Due date: 01/08/2021
Assignee: % Done: 0%
Category: Estimated time: 4.00 hours
Target version: Spent time: 0.00 hour
Description

mohon bantuannya untuk dapat membuatkan

1. fungsi dan service generate kuota cuti secara otomatis berdasarkan join date
2. Service dijalankan tiap tengah malam jam 00.30

3. Bbrp kondisi yang dilihat adalah membaca

- Date Spec (PHRPA0039) terlebih dahulu (date type 00040)

- Jika tidak ada maka baru melihat Hiring date di PHRPA0015

- Cek Level karyawan di PHRPA0003

- Baru kemudian cek kuota type karyawan bersangkutan sesuai levelnya

- generate data kuota cuti dgn insert ke PHRPAOQ017 dgn start date adalah tanggal join tsb dan end date adalah tanggal join 4-¢i
kondisi lainnya, pada tahun ke 6 yg terbentuk adalah cuti besar (220), bukan cuti tahunan. namun untuk selanjutnya berlaku cuti
tahunan kembali

- pada tahun ke 11 tergenerate kembali cuti besar tsb (berlaku kelipatan 5 tahun untuk selnjutnya)

- jika saat akan di generate ternyata di dalam PHRPAQO017 sudah memiliki data kuota dgn periode yang sama, maka jangan
tergenerate kuota cuti tsb

Jika ada yg ingin ditanyakan, silahkan ya
Tks

History

#1 - 12/29/2020 11:39 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 12/29/2020 11:47 AM - Ade Sofiarani

- Status changed from Assigned to Developing

#3 - 12/29/2020 11:53 AM - Kezia Pawitra Yulianti

mohon bantuannya untuk dapat membuatkan

1. fungsi dan service generate kuota cuti secara otomatis berdasarkan join date

2. Service dijalankan tiap tengah malam jam 00.30

3. Bbrp kondisi yang dilihat adalah membaca

- Date Spec (PHRPAO0039) terlebih dahulu (date type 00040)

- Jika tidak ada maka baru melihat Hiring date di PHRPA0015

- Cek Level karyawan di PHRPA0003

- Baru kemudian cek kuota type karyawan bersangkutan sesuai levelnya

- generate data kuota cuti dgn insert ke PHRPA0017 dgn start date adalah tanggal join tsb dan end date adalah tanggal join minus 1 hari di tahun
berikutnya. start deduction dan end deduction juga dgn ketentuan yg sama. original kuota dan remaining kuota sesuai jumlah nya di masing2
absence type. ini berlaku tiap tahun

- kondisi lainnya, pada tahun ke 6 yg terbentuk adalah cuti besar (220), bukan cuti tahunan. namun untuk selanjutnya berlaku cuti tahunan kembali
- pada tahun ke 11 tergenerate kembali cuti besar tsb (berlaku kelipatan 5 tahun untuk selanjutnya)

- jika saat akan di generate ternyata di dalam PHRPA0017 sudah memiliki data kuota dgn periode yang sama, maka jangan tergenerate kuota cuti
tsb

Jika ada yg ingin ditanyakan, silahkan ya
Tks

#4 - 12/30/2020 10:50 AM - Anonymous

- File Test Generate Cuti.xIsx added

Dear Mba Ade,
Terlampir File untuk data testing ,

#5 - 01/04/2021 03:30 PM - Ade Sofiarani
- Status changed from Developing to QA Test

- Assignee changed from Ade Sofiarani to Anonymous

#6 - 01/04/2021 05:05 PM - Anonymous
- File Test Generate Cuti.xlsx added
- Status changed from QA Test to Revise

- Assignee changed from Anonymous to Ade Sofiarani

Dear Tim Developer,
Mohon revise untuk generate cuti,
membaca MD15 ketika MD39 kosong,

dan mohon bantuannya tambahankan generate notes "Generate Leave Quota YYYY" Pada Field Notes pada MD17

#7 - 01/04/2021 05:45 PM - Ade Sofiarani
- Status changed from Revise to QA Test

- Assignee changed from Ade Sofiarani to Anonymous

#8 - 01/07/2021 11:24 AM - Anonymous

- Due date changed from 12/29/2020 to 01/08/2021

- Status changed from QA Test to Revise

- Assignee changed from Anonymous to Ade Sofiarani
- Priority changed from High to Urgent

- Start date changed from 12/28/2020 to 01/07/2021

- Estimated time set to 4.00 h

Dear developer,

masih ada revisi untuk Poin 3, dimana

jika ada data di MD39 dan MD15, yang dibaca adalah data di MD39, terlepas jika data di MD15 lebih dahulu tanggalnya dari tanggal di MD39,
dimana kondisi sekarang masih membaca tanggal yang terlebih dahulu jika ada data di MD39 dan MD15...

#9 - 01/08/2021 11:42 AM - Ade Sofiarani
- Status changed from Revise to QA Test

- Assignee changed from Ade Sofiarani to Anonymous

#10 - 01/21/2021 03:55 PM - Anonymous
- Status changed from QA Test to Deploy

#11 - 03/05/2021 01:36 PM - Anonymous
- Status changed from Deploy to Assigned

- Assignee changed from Anonymous to Alip Sudin

Dear Tim Developer,

Please Adding Feature, tuk Email Notifikasi ke Employee saat Quota Cuti miliknya tergenerate pada PHRPAO0017..

#12 - 04/13/2021 08:59 AM - Anonymous

- Status changed from Assigned to Closed

#13 - 04/13/2021 01:46 PM - Anonymous

- Status changed from Closed to Developing
#14 - 04/14/2021 01:07 PM - Alip Sudin
- Status changed from Developing to QA Test

- Assignee changed from Alip Sudin to Anonymous

Files

Test Generate Cuti.xIsx 9.21 KB 12/30/2020 Anonymous

Test Generate Cuti.xlsx 11.2 KB 01/04/2021 Anonymous
